# Get Currencies

Description: This API endpoint allows you to retrieve a list of currencies supported by the Yard Finance service. The response will provide information about each currency, including their network, name and ticker.

**Request**:

> **Method**: GET
>
> **URL**: <https://api.yard.finance/v1/blockchain/currencies>

**Response**: The response will be a JSON object containing an array of currency objects. Each currency object will have the following properties:

* network: blockchain network,
* name: full token name,
* ticker: token ticker

Example Request:&#x20;

```
GET /v1/blockchain/currencies
```

Example Response:

```json
[
  {
    "network": "btc",
    "name": "Bitcoin",
    "ticker": "btc"
  },
  {
    "network": "eth",
    "name": "Ethereum",
    "ticker": "eth"
  },
  {
    "network": "bsc",
    "name": "Ethereum (Binance Smart Chain)",
    "ticker": "eth"
  }, ...
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yard.finance/api/api-documentation/get-currencies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
